<?php
include "scrinit.php";
include $menu;
?><head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11px; }
<p style="font-size:09px;"></p>
</style>
<body>

<h3>ΕΠΙΣΚΟΠΗΣΗ ΣΥΝΤΟΜΩΝ ΑΠΟΥΣΙΩΝ </h3>
<?php
require "dbconnect.php";
$usr=$_SESSION['usr'];
$date=date('Y-m-d');
echo "<br>"."<br>";

if (isset($_POST['dt'])) {
	$date=$_POST['dt'];}

// define the form into a variable
$fhtml = '<form action="" method="post">
Επέλεξε Ημερομηνία : <input type="date" name="dta" value="'. $date. '" />
 Mέχρι: <input type="date" name="dtm" value="'. $date. '" />
 <input type="submit" value="Επιλογή Ημερομηνίας" />
</form>';

echo $fhtml;         // output /display the form
echo "<br>"."<br>";

if (isset($_POST['dta'])) 
{
	$dta=$_POST['dta'];
	$dtm=$_POST['dtm'];
   echo " ΚΑΤΑΣΤΑΣΗ ΣΥΝΤΟΜΩΝ ΑΠΟΥΣΙΩΝ ΑΠΟ : "."<b>".date('d-m-Y', strtotime($dta))."</b>";	
   echo " ΜΕΧΡΙ : "."<b>".date('d-m-Y', strtotime($dtm))."</b>"."<br>"."<br>";	
}
$sql1 = "SELECT s.*,t.Name from shortapou as s,teachers as t WHERE (s.date >='$dta' AND s.date <='$dtm') and t.PMP=s.pmp" ;
if (!mysqli_query($con,$sql1)) {die('Error: ' . mysqli_error($con));   }
$res=mysqli_query($con,$sql1);
$c=mysqli_num_rows($res);

if ($c==0){echo " ΔΕΝ ΥΠΑΡΧΟΥΝ ΑΠΟΥΣΙΕΣ ΑΥΤΗ ΤΗΝ ΗΜΕΡΟΜΗΝΙΑ";}
else
{
echo "<table class='myTable' >
<tr style='border:1px solid black;font-size:9px'  >
<tr>
<th>Ημερομ.</th>
<th>Εκπαιδευτικός</th>
<th>Αποχώρηση</th>
<th>Επάνοδος</th>
<th>Λόγος Αποχώρησης</th>
<th>Έγκριση</th>
</tr>";	

while ($row = mysqli_fetch_array($res)) 
{
	$name=$row['Name'];
	$timeo=$row['timeout'];
	$timei=$row['timeback'];
	$reason=$row['reason'];
	$egkrisi=$row['egkrisi'];

echo "<tr>";
echo "<td>" . $date. "</td>";
echo "<td>" . $name. "</td>";
echo "<td>" . $timei. "</td>";
echo "<td>" . $timeo. "</td>";
echo "<td>" . $reason. "</td>";
echo "<td>" . $egkrisi. "</td>";
echo "</tr>"; 
}
echo "</table>";
echo "<br>"."<br>";
}
 ?>
 <br /> <br />
<a  href=<?php echo $menu;?> style="color:blue "  > <button> Επιστροφή στο Μενού   </a> 
</body>
</html>